Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.cin.nip.async.generic
Class ObjectFactory

    java.lang.Object
      be.cin.nip.async.generic.ObjectFactory

    public class ObjectFactory

extends Object

This object contains factory methods for each Java content interface and Java element interface generated in the be.cin.nip.async.generic package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Constructor Summary
`ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.generic

Method Summary
`Confirm` | `createConfirm()` Create an instance of `Confirm`
`ConfirmResponse` | `createConfirmResponse()` Create an instance of `ConfirmResponse`
`Get` | `createGet()` Create an instance of `Get`
`GetResponse` | `createGetResponse()` Create an instance of `GetResponse`
`InternalPostResponse` | `createInternalPostResponse()` Create an instance of `InternalPostResponse`
`MsgQuery` | `createMsgQuery()` Create an instance of `MsgQuery`
`MsgResponse` | `createMsgResponse()` Create an instance of `MsgResponse`
`Post` | `createPost()` Create an instance of `Post`
`PostResponse` | `createPostResponse()` Create an instance of `PostResponse`
`PostResponseReturn` | `createPostResponseReturn()` Create an instance of `PostResponseReturn`
`Query` | `createQuery()` Create an instance of `Query`
`QueryParameters` | `createQueryParameters()` Create an instance of `QueryParameters`
`RejectInb` | `createRejectInb()` Create an instance of `RejectInb`
`RejectOutb` | `createRejectOutb()` Create an instance of `RejectOutb`
`Responses` | `createResponses()` Create an instance of `Responses`
`TAck` | `createTAck()` Create an instance of `TAck`
`TAckResponse` | `createTAckResponse()` Create an instance of `TAckResponse`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ObjectFactory

    public ObjectFactory()

  Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: be.cin.nip.async.generic

Method Detail

### createRejectInb

    public RejectInb createRejectInb()

  Create an instance of `RejectInb`

### createRejectOutb

    public RejectOutb createRejectOutb()

  Create an instance of `RejectOutb`

### createPost

    public Post createPost()

  Create an instance of `Post`

### createInternalPostResponse

    public InternalPostResponse createInternalPostResponse()

  Create an instance of `InternalPostResponse`

### createPostResponseReturn

    public PostResponseReturn createPostResponseReturn()

  Create an instance of `PostResponseReturn`

### createPostResponse

    public PostResponse createPostResponse()

  Create an instance of `PostResponse`

### createTAck

    public TAck createTAck()

  Create an instance of `TAck`

### createGet

    public Get createGet()

  Create an instance of `Get`

### createQueryParameters

    public QueryParameters createQueryParameters()

  Create an instance of `QueryParameters`

### createMsgQuery

    public MsgQuery createMsgQuery()

  Create an instance of `MsgQuery`

### createQuery

    public Query createQuery()

  Create an instance of `Query`

### createGetResponse

    public GetResponse createGetResponse()

  Create an instance of `GetResponse`

### createResponses

    public Responses createResponses()

  Create an instance of `Responses`

### createConfirm

    public Confirm createConfirm()

  Create an instance of `Confirm`

### createConfirmResponse

    public ConfirmResponse createConfirmResponse()

  Create an instance of `ConfirmResponse`

### createMsgResponse

    public MsgResponse createMsgResponse()

  Create an instance of `MsgResponse`

### createTAckResponse

    public TAckResponse createTAckResponse()

  Create an instance of `TAckResponse`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSDIETICIAN 3.15.1 API
Copyright © {inceptionYear}-2018 eHealth. All Rights Reserved.